Shared publicly  - 
 
How to Install GWT Plugin for Eclipse on 3.8 or Juno:

1. Download zipped update site for 3.7 from http://code.google.com/eclipse/docs/install-from-zip.html
2. Unzip content.jar; rm content.jar
3. Edit content.xml; change
<required namespace='org.eclipse.equinox.p2.iu' name='org.eclipse.platform.feature.group' range='[3.7.0,3.8.0)'/>
to
<required namespace='org.eclipse.equinox.p2.iu' name='org.eclipse.platform.feature.group' range='3.7.0'/>
4. jar cMf content.jar content.xml (zip won't work)
5. Install from local update site (select "Contact all update sites during install to find required software) EDIT: don't select Android-related items. (Thanks lOranger!)
6. Profit!
Tested with 3.8M5 and Juno M5

EDIT: I haven't tested it properly, but try this unannounced update site for Juno GA: http://dl.google.com/eclipse/plugin/4.2 - thanks Albert Attard!
4
2
Daniel Green's profile photoSean Flanigan's profile photoAlbert Attard's profile photo
9 comments
 
Not working on Juno 4.2


Cannot complete the install because one or more required items could not be found.
Software being installed: Google Web Toolkit SDK 2.4.0 2.4.0.v201203300216-rel-r37 (com.google.gwt.eclipse.sdkbundle.e37.feature.feature.group 2.4.0.v201203300216-rel-r37)
Missing requirement: Google Plugin for Eclipse 3.7 2.5.2.v201203300216-rel-r37 (com.google.gdt.eclipse.suite.e37.feature.feature.group 2.5.2.v201203300216-rel-r37) requires 'org.mortbay.jetty.server 0.0.0' but it could not be found
Missing requirement: Google Plugin for Eclipse 3.7 2.6.1.v201205091048-rel-r37 (com.google.gdt.eclipse.suite.e37.feature.feature.group 2.6.1.v201205091048-rel-r37) requires 'org.mortbay.jetty.server 0.0.0' but it could not be found
Cannot satisfy dependency:
From: Google Web Toolkit SDK 2.4.0 2.4.0.v201203300216-rel-r37 (com.google.gwt.eclipse.sdkbundle.e37.feature.feature.group 2.4.0.v201203300216-rel-r37)
To: com.google.gdt.eclipse.suite.e37.feature.feature.group 2.5.2
 
Sorry, I haven't tried any of this recently, I mainly use Eclipse 3.7.  So I don't know if I missed a step, or if something has changed on the Eclipse side.  

But you might need to select "Contact all update sites during install to find required software" in step 5.  If that doesn't work, I have no idea.
 
if you get the SDK version of GWT you can use it separately outside of Eclipse, point Eclipse to the libraries, and everything works. You could probably also setup eclipse to run the ant scripts for you
 
How will you compile the new GWT code?

One of the god things about the plug-in is that you don't need to compile (GWT code) while developing as the plug-in does that for you and you can try things quicker.
 
You can run the server the same as Eclipse plugin by running the command "ant devmode". Check out the SDK web page, instructions are all there. You can also deploy to app engine if you download that separately too. It's worth a look at as an alternative, you're less locked down to Eclipse, free to use other editors. 
Add a comment...